| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bseq.cpp File Reference

A program to manipulate DNA and protein sequences. More...

`#include "rwmolecule.h"`
`#include "rwgencode.h"`
`#include "seq_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A program to manipulate DNA and protein sequences.

Author
  Bernard Heymann

Date
  Created: 20000808
  Modified: 20190613

Definition in file bseq.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 50 of file bseq.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bseq [options] input.seq output.seq",
"------------------------------------------",
"Manipulates DNA and protein sequences.",
" ",
"Actions:",
"-show Show all DNA and protein sequences after other operations.",
"-Mass Show the calculated mass for each sequence.",
"-complement Complement all DNA sequences before other operations.",
"-translate 1 Translate all DNA sequences with this frame (0,1,2).",
"-finddna ggattcga DNA sequence to look for in DNA sequences.",
"-findprotein fghwereaas Protein sequence to look for in protein sequences.",
"-findcoding aklsdrtv Coding sequence to look for in DNA sequences.",
" Can be a file name with a protein sequence.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-nogaps Strip gaps from input sequences.",
"-length 1100,1500 Sequence length range to select for.",
"-number 10,14 Number of residues on either side to include in output.",
"-threshold 50 Threshold percentage to report hits (default only best hit).",
" ",
"Input:",
"-geneticcode file.star Genetic code file (default = internal values).",
"-elements prop.star Calculate elemental composition.",
" ",
NULL
}

Definition at line 20 of file bseq.cpp.

## ◆ verbose

int verbose